# Stock transfers: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/movement-of-inventories/

Bimp API methods for the “Stock transfers” resource (`/org2/movementOfInventories/…`): 5 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/movementOfInventories/api-read`](#api-read) | A request to obtain detailed information for a particular movement of inventories document |
| [`POST /org2/movementOfInventories/api-readList`](#api-read-list) | A request to view a list of movement of inventories documents |
| [`POST /org2/movementOfInventories/api-create`](#api-create) | A request to create a new movement of inventories document |
| [`POST /org2/movementOfInventories/api-update`](#api-update) | A request to update an existing movement of inventories document |
| [`POST /org2/movementOfInventories/api-cancel`](#api-cancel) | Cancel a movement of inventories document |

## api-read

`POST /org2/movementOfInventories/api-read`

A request to obtain detailed information for a particular movement of inventories document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a movement of inventories document |
| `number` | string | The number of the movement of inventories document |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `archived` | boolean |  |
| `operationType` | number |  |
| `toWarehouse` | string (uuid) |  |
| `fromWarehouse` | string (uuid) |  |
| `author` | string (uuid) |  |
| `organization` | string (uuid) |  |
| `status` | number |  |
| `processing` | boolean | An informational flag marking the document as related to tolling (processing) |
| `counterparty` | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/movementOfInventories/api-readList`

A request to view a list of movement of inventories documents

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `filters` | object |  |  |
| `filters.name` | string |  |  |
| `filters.comment` | string |  |  |
| `filters.showArchived` | boolean |  |  |
| `filters.organization` | object[] |  |  |
| `filters.organization[].uuid` | string (uuid) | yes |  |
| `filters.toWarehouse` | object[] |  |  |
| `filters.toWarehouse[].uuid` | string (uuid) | yes |  |
| `filters.fromWarehouse` | object[] |  |  |
| `filters.fromWarehouse[].uuid` | string (uuid) | yes |  |
| `filters.author` | object[] |  |  |
| `filters.author[].uuid` | string (uuid) | yes |  |
| `filters.operationType` | object[] |  |  |
| `filters.operationType[].uuid` | number | yes |  |
| `filters.status` | object[] |  |  |
| `filters.status[].uuid` | number | yes |  |
| `filters.date` | object[] |  |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `rows` | object[] |  |
| `rows[].uuid` | string (uuid) | A unique uuid key for a movement of inventories document |
| `rows[].number` | string | The number of the movement of inventories document |
| `rows[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `rows[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `rows[].archived` | boolean |  |
| `rows[].operationType` | number |  |
| `rows[].toWarehouse` | string (uuid) |  |
| `rows[].fromWarehouse` | string (uuid) |  |
| `rows[].author` | string (uuid) |  |
| `rows[].organization` | string (uuid) |  |
| `rows[].status` | number |  |
| `rows[].processing` | boolean | An informational flag marking the document as related to tolling (processing) |
| `rows[].counterparty` | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `total` | number |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-create

`POST /org2/movementOfInventories/api-create`

A request to create a new movement of inventories document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `name` | string |  | Document name |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `author` | string (uuid) | yes | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `responsibleEmployee` | string |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `fromWarehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `toWarehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `operationType` | number | yes | Operation type (0 - To warehouse, 1 - On the way, 2 - Cost price) |
| `responsibleSender` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `responsibleReceiver` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `status` | number |  | Document status (0 - Completed, 1 - Application) |
| `baseDocument` | string (uuid) |  | UUID of base document |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `processing` | boolean |  | An informational flag marking the document as related to tolling (processing) |
| `counterparty` | string (uuid) |  | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `products` | object[] |  |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].count` | number | yes | A numerical value representing the quantity of the product |
| `products[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `products[].invoice` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |
| `products[].project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"author":"00000000-0000-0000-0000-000000000000","fromWarehouse":"00000000-0000-0000-0000-000000000000","toWarehouse":"00000000-0000-0000-0000-000000000000","operationType":1}'
```

## api-update

`POST /org2/movementOfInventories/api-update`

A request to update an existing movement of inventories document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | Document UUID |
| `name` | string |  | Document name |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `author` | string (uuid) |  | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `responsibleEmployee` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `fromWarehouse` | string (uuid) |  | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `toWarehouse` | string (uuid) |  | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `operationType` | number |  | Operation type (0 - To warehouse, 1 - On the way, 2 - Cost price) |
| `responsibleSender` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `responsibleReceiver` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `status` | number |  | Document status (0 - Completed, 1 - Application) |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `processing` | boolean |  | An informational flag marking the document as related to tolling (processing) |
| `counterparty` | string (uuid) |  | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `baseDocument` | string (uuid) |  | UUID of base document |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `products` | object[] |  |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].count` | number | yes | A numerical value representing the quantity of the product |
| `products[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `products[].invoice` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |
| `products[].project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-cancel

`POST /org2/movementOfInventories/api-cancel`

Cancel a movement of inventories document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the movement of inventories document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
